Customers
Get customer by ID
Look up one customer and everything on their record. This includes policies, prescriptions, providers, Scope of Appointment forms (SOAs), dependents, and custom fields.
Authorization
x-api-key x-api-key<token>
API key required for authentication.
Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.
In: header
Path Parameters
string
Customer ID
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.carecycle.ai/v2/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e",
"clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
"clientCustomerId": "string",
"status": "Lead",
"qualificationStatus": "Qualified",
"intent": "High",
"isDecisionMaker": true,
"disqualificationReason": "string",
"productInterest": "string",
"productFamily": "string",
"salutation": "string",
"suffix": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"preferredName": "string",
"callerId": "string",
"isPhonePrimary": true,
"lineType": "landline",
"email": "string",
"dateOfBirth": "2019-08-24",
"language": "string",
"ethnicity": "string",
"gender": "Male",
"maritalStatus": "Single",
"heightInches": -2147483648,
"weightPounds": -2147483648,
"smokerStatus": true,
"postalCode": "string",
"timezone": "string",
"state": "string",
"city": "string",
"county": "string",
"countyFips": "strin",
"address": "string",
"address2": "string",
"mbiNumber": "string",
"medicareCard": true,
"medicarePartADate": "2019-08-24",
"medicarePartBDate": "2019-08-24",
"medicaid": true,
"medicaidNumber": "string",
"socialSecurityDisability": true,
"veteran": true,
"vaNumber": "string",
"healthSherpaCustomerId": "string",
"householdIncome": -2147483648,
"annualIncome": -2147483648,
"filingStatus": "string",
"dependentCount": -2147483648,
"subsidyAmount": -2147483648,
"subsidyEligible": true,
"existingCoverage": "None",
"existingCoveragePlanName": "string",
"existingCoverageCarrier": "string",
"desiredCoverageStartDate": "2019-08-24",
"currentSourceId": "92ff85a4-bd9b-47e4-9ade-cbb65530f3f4",
"originalSourceId": "a3edc39e-7854-4380-8541-1f199004a6a0",
"agentName": "string",
"agentNpn": -2147483648,
"memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",
"carrierName": "string",
"planName": "string",
"planCode": "string",
"enrollmentDate": "2019-08-24",
"effectiveDate": "2019-08-24",
"carrierAssignedCustomerId": "string",
"suppressed": true,
"doNotCall": true,
"doNotSMS": true,
"doNotEmail": true,
"doNotMail": true,
"lastContactedAt": "2019-08-24T14:15:22Z",
"convertedAt": "2019-08-24T14:15:22Z",
"testCustomer": true,
"ssnLast4": "string",
"mutationScope": {
"canEdit": true,
"canReassign": true,
"canDelete": true,
"canEditTags": true
},
"carrierSmsConsent": {
"blocked": true,
"recordedAt": "2019-08-24T14:15:22Z",
"source": "string",
"matchedKeyword": "string"
},
"phoneNumberCustomerCount": 0,
"phonePrimaryCustomerId": "e94124a8-9a97-4607-865c-f6a31d48e6a9",
"totalCalls": 0,
"lastCallDate": "2019-08-24T14:15:22Z",
"lastCallDisposition": "string",
"campaigns": [],
"source": {
"id": "string",
"name": "string",
"sourceId": "string"
},
"customFields": [],
"policies": [],
"planCrosswalk": {
"cohort": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"fromYear": -9007199254740991,
"toYear": -9007199254740991,
"completedAt": "2019-08-24T14:15:22Z",
"governmentCrosswalkLoaded": true
},
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
"fromPlanId": "string",
"toPlanId": "string",
"outcome": "renewed",
"primaryBucket": "plan_terminated",
"impacts": [
"plan_terminated"
],
"skipReason": "no_plan_code",
"planCodeOnFile": "string",
"fromPlanName": "string",
"carrier": "string",
"toPlanName": "string",
"county": "string",
"changeSummary": "string",
"changes": {
"monthlyPremium": {
"from": 0,
"to": 0
},
"maxOutOfPocket": {
"from": 0,
"to": 0
},
"healthDeductible": {
"from": 0,
"to": 0
},
"drugDeductible": {
"from": 0,
"to": 0
},
"starRating": {
"from": 0,
"to": 0
},
"benefitsLost": [
"string"
],
"benefitsGained": [
"string"
],
"successorPlanIds": [
"string"
]
},
"recommendations": [
{
"planId": "string",
"planName": "string",
"differences": [
"string"
]
}
]
}
]
},
"displayPolicyId": "a450b56f-b3dd-431c-a60a-9d32cc1c80f4",
"prescriptions": [],
"providers": [],
"scopeOfAppointments": [],
"dependents": [],
"assignedMember": {
"id": "string",
"name": "string",
"email": "string",
"image": "string"
},
"tags": []
}{
"message": "string",
"code": "string",
"details": {
"property1": null,
"property2": null
}
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string",
"details": {
"property1": null,
"property2": null
}
}{
"message": "string",
"code": "VALIDATION_ERROR",
"errors": [
{
"path": [
"string"
],
"message": "string",
"expected": "string",
"received": "string",
"code": "string"
}
],
"failedRecords": [
{
"index": 0,
"phoneNumber": "string",
"firstName": "string",
"lastName": "string",
"externalId": "string"
}
]
}{
"message": "string",
"code": "string",
"retryAfter": 0
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}